"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GenericSecretProvider = void 0;
const SecretProvider_1 = require("../SecretProvider");
class GenericSecretProvider extends SecretProvider_1.SecretProvider {
    constructor(getSecrets) {
        super();
        this.getSecrets = getSecrets;
    }
    loadableContentKey() {
        return `generic-secret-no-content`;
    }
    async loadContent() {
        return null;
    }
    async provideSecrets() {
        return await Promise.resolve(this.getSecrets());
    }
}
exports.GenericSecretProvider = GenericSecretProvider;
//# sourceMappingURL=GenericProvider.js.map